CounterFactory.Type (Mule ESB 2.2.1 API)
Keywords: org.mule.util.counters.CounterFactory.Type class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.counters
Class CounterFactory.Type

    java.lang.Object
      org.mule.util.counters.CounterFactory.Type

Enclosing class:
  CounterFactory

    public static final class CounterFactory.Type

extends Object

Enum class for all different types of counters. The type of a counter is defined on creation and can be retrieved on each counter.

Field Summary
`static CounterFactory.Type` | `AVERAGE` Counter representing the average value of a counter
`static CounterFactory.Type` | `DELTA` Counter representing the variation of a counter
`static CounterFactory.Type` | `DIVIDE` Counter represening the division of two other counters
`static CounterFactory.Type` | `INSTANT_RATE` Counter representing the instant rate of a counter
`static CounterFactory.Type` | `MAX` Counter representing the maximum value of a counter
`static CounterFactory.Type` | `MIN` Counter representing the minimum value of a counter
`static CounterFactory.Type` | `MINUS` Counter represening the difference of two other counters
`static CounterFactory.Type` | `MULTIPLY` Counter represening the multiplication of two other counters
`static CounterFactory.Type` | `NUMBER` A basic counter representing a double value
`static CounterFactory.Type` | `PLUS` Counter represening the sum of two other counters
`static CounterFactory.Type` | `RATE_PER_HOUR` Counter representing rate per hour of a counter
`static CounterFactory.Type` | `RATE_PER_MINUTE` Counter representing rate per minute of a counter
`static CounterFactory.Type` | `RATE_PER_SECOND` Counter representing rate per second of a counter
`static CounterFactory.Type` | `SUM` Counter representing the sum of two counters
`static CounterFactory.Type` | `TIME_AVERAGE` Counter representing the time average value of a counter

Constructor Summary
`protected` | `CounterFactory.Type(String name)` Constructor of the type

Method Summary
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUMBER

    public static final CounterFactory.Type NUMBER

  A basic counter representing a double value

### SUM

    public static final CounterFactory.Type SUM

  Counter representing the sum of two counters

### MIN

    public static final CounterFactory.Type MIN

  Counter representing the minimum value of a counter

### MAX

    public static final CounterFactory.Type MAX

  Counter representing the maximum value of a counter

### AVERAGE

    public static final CounterFactory.Type AVERAGE

  Counter representing the average value of a counter

### TIME_AVERAGE

    public static final CounterFactory.Type TIME_AVERAGE

  Counter representing the time average value of a counter

### DELTA

    public static final CounterFactory.Type DELTA

  Counter representing the variation of a counter

### INSTANT_RATE

    public static final CounterFactory.Type INSTANT_RATE

  Counter representing the instant rate of a counter

### RATE_PER_SECOND

    public static final CounterFactory.Type RATE_PER_SECOND

  Counter representing rate per second of a counter

### RATE_PER_MINUTE

    public static final CounterFactory.Type RATE_PER_MINUTE

  Counter representing rate per minute of a counter

### RATE_PER_HOUR

    public static final CounterFactory.Type RATE_PER_HOUR

  Counter representing rate per hour of a counter

### PLUS

    public static final CounterFactory.Type PLUS

  Counter represening the sum of two other counters

### MINUS

    public static final CounterFactory.Type MINUS

  Counter represening the difference of two other counters

### MULTIPLY

    public static final CounterFactory.Type MULTIPLY

  Counter represening the multiplication of two other counters

### DIVIDE

    public static final CounterFactory.Type DIVIDE

  Counter represening the division of two other counters

Constructor Detail

### CounterFactory.Type

    protected CounterFactory.Type(String name)

  Constructor of the type

  Parameters:
    `name` - the name of the counter type

Method Detail

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.